# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc展示最新修改信息_需求单详情_后台,33,33-47,sit,be
主数据平台:后台运营系统需求单原始清单接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_33st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_do_be")
password = commonFuc().get_business_data(module, "password_do_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取需求单列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url47_1")
request_body = commonFuc().get_business_data(module, "payload47_1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取需求单信息
demandCode = result["data"]["list"][0]["demandCode"]

# 第三步获取需求单原始清单信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url47")
request_body = commonFuc().get_business_data(module, "payload47", demandCode)

"""

 场景: 展示最新修改信息_需求单详情_后台
 用例名称：展示最新修改信息_需求单详情_后台
 输出：{"quantity":2.0000}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取需求单信息
result = json.loads(result.content)
# print(result)
result = {"quantity": result["data"]["list"][0]["quantity"]}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict47")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
