# -*- encoding=utf8 -*-
__author__ = "zhouniandong"

"""
case_tag:cmdc_api,cmdc消息管理查询页面,2013,2013-2,sit,bs
主数据平台:运营后台管理系统消息管理接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_message_noticelog"

url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2")
print("\033[031murl============\033[0m",url)
# 获取登录所需账号密码

username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
#print("\033[031musername============\033[0m",username)
#print("\033[031mpassword============\033[0m",password)
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
#print("\033[031mcmdc_access_token============\033[0m",cmdc_access_token)
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)
#print("\033[031mheaders============\033[0m",headers)
request_body = commonFuc().get_business_data(module, "payload2")
#print("\033[031mrequest_body\033[0m",request_body)

"""
 场景:消息管理()
 用例名称：消息管理查询页面(消息管理)
 输出：{"success":true,"code":"200","message":"OK"}
"""
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
#print("\033[031mresult1============\033[0m",result)
result = json.loads(result.content)
#print("\033[031mresult2============\033[0m",result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict2")
#print("\033[031mcheck_dict============\033[0m",check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

