# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc模糊查询_获取首营客户信息,00,00-53,sit,be
主数据平台:后台运营系统获取首营客户信息接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_special_version"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_admin2")
password = commonFuc().get_business_data(module, "password_admin2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 生成随机数
number_random = random.randint(1, 5)
# 第二步获取首营客户信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url53")
request_body = commonFuc().get_business_data(module, "payload53", number_random)

"""

 场景: 模糊查询_获取首营客户信息
 用例名称：模糊查询_获取首营客户信息
 输出：{"customerCode":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取客户信息
result = json.loads(result.content)
result = {"customerCode": result["data"][0]["customerCode"]}
# 将接口响应时间添加至result
result["api_time"] = api_time

# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().analysis_json(number_random, result)

